Package com.orchestranetworks.service.directory

# Class ProfileListContext

java.lang.Object
com.orchestranetworks.service.directory.ProfileListContext

public class ProfileListContext extends Object
This class is used by a user and roles directory to customize the profiles that a user can select.

See Also:
  - `Directory.getProfiles(ProfileListContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isForDefiningPermission()`
  Returns `true` when the list of available profiles is for defining a permission (an access or action permission).
  `boolean`
  `isForDefiningViews()`
  Returns `true` when the list of available profiles is used to define other readers on a table view.
  `boolean`
  `isForSelectingBranchOwner()`
  Returns `true` when the list of available profiles is for selecting the owner of a dataspace.
  `boolean`
  `isForSelectingInstanceOwner()`
  Returns `true` when the list of available profiles is for selecting the owner of a dataset.
  `boolean`
  `isForWorkflow()`
  Returns `true` when the list of available profiles is used for workflows.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isForSelectingBranchOwner

    public boolean isForSelectingBranchOwner()
    Returns `true` when the list of available profiles is for selecting the owner of a dataspace.

  - ### isForSelectingInstanceOwner

    public boolean isForSelectingInstanceOwner()
    Returns `true` when the list of available profiles is for selecting the owner of a dataset.

  - ### isForDefiningPermission

    public boolean isForDefiningPermission()
    Returns `true` when the list of available profiles is for defining a permission (an access or action permission).

  - ### isForWorkflow

    public boolean isForWorkflow()
    Returns `true` when the list of available profiles is used for workflows.

  - ### isForDefiningViews

    public boolean isForDefiningViews()
    Returns `true` when the list of available profiles is used to define other readers on a table view.
    Since:
      5.7.0

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`